clear 

* pull in data from web 

use "D:\papers\5. Demographic\JMCB\Replication files\data_program\Figure 2\data.dta", clear
set more off


** Old countries
** Consumption LPs **
gen trend = _n
gen lp_cons_n_b = .
gen lp_cons_n_se = . 

forvalues x = 0/16 {
		
		gen cons_`x'=F`x'.consumption
		qui xtreg cons_`x' l(1/2).consu l(0/2).gdp l(0/2).ir l(0/2).shock l(0/2).cpi l(0/2).tb l(0/2).exc if country<9, fe vce(cluster country)
		qui replace lp_cons_n_b = _b[shock] if trend == `x' + 1
		qui replace lp_cons_n_se = _se[shock] if trend == `x' + 1
}

local msd=1.645

    qui gen lp_cons_lb = lp_cons_n_b - `msd'*lp_cons_n_se
    qui gen lp_cons_ub = lp_cons_n_b + `msd'*lp_cons_n_se
	
* save IRFs 

preserve

keep trend lp_*
keep if trend <= (21)	
rename trend hproj
replace hproj  = hproj - 1
outsheet using C_old.csv, comma noquote replace	

restore

drop trend lp_cons_n_b lp_cons_n_se lp_cons_lb lp_cons_ub cons_*

** Investment LPs 
gen trend = _n
gen lp_inv_n_b = .
gen lp_inv_n_se = . 

forvalues x = 0/16 {
		
		gen inv_`x'=F`x'.investment
		qui xtreg inv_`x' l(1/2).investment l(0/2).gdp l(0/2).ir l(0/2).shock l(0/2).cpi l(0/2).tb l(0/2).exc if country<9, fe vce(cluster country)
		qui replace lp_inv_n_b = _b[shock] if trend == `x' + 1
		qui replace lp_inv_n_se = _se[shock] if trend == `x' + 1
}

local msd=1.645

    qui gen lp_inv_lb = lp_inv_n_b - `msd'*lp_inv_n_se
    qui gen lp_inv_ub = lp_inv_n_b + `msd'*lp_inv_n_se
	
* save IRFs 

preserve

keep trend lp_*
keep if trend <= (21)	
rename trend hproj
replace hproj  = hproj - 1
outsheet using I_old.csv, comma noquote replace	

restore

drop trend lp_inv_n_b lp_inv_n_se lp_inv_lb lp_inv_ub inv_*




** Young countries
** Consumption LPs **
gen trend = _n
gen lp_cons_n_b = .
gen lp_cons_n_se = . 

forvalues x = 0/16 {
		
		gen cons_`x'=F`x'.consumption
		qui xtreg cons_`x' l(1/2).consu l(0/2).gdp l(0/2).ir l(0/2).shock l(0/2).cpi l(0/2).tb l(0/2).exc if country>8, fe vce(cluster country)
		qui replace lp_cons_n_b = _b[shock] if trend == `x' + 1
		qui replace lp_cons_n_se = _se[shock] if trend == `x' + 1
}

local msd=1.645

    qui gen lp_cons_lb = lp_cons_n_b - `msd'*lp_cons_n_se
    qui gen lp_cons_ub = lp_cons_n_b + `msd'*lp_cons_n_se
	
* save IRFs 

preserve

keep trend lp_*
keep if trend <= (21)	
rename trend hproj
replace hproj  = hproj - 1
outsheet using C_young.csv, comma noquote replace	

restore

drop trend lp_cons_n_b lp_cons_n_se lp_cons_lb lp_cons_ub cons_*


** Investment LPs 
gen trend = _n
gen lp_inv_n_b = .
gen lp_inv_n_se = . 

forvalues x = 0/16 {
		
		gen inv_`x'=F`x'.investment
		qui xtreg inv_`x' l(1/2).investment l(0/2).gdp l(0/2).ir l(0/2).shock l(0/2).cpi l(0/2).tb l(0/2).exc if country>8, fe vce(cluster country)
		qui replace lp_inv_n_b = _b[shock] if trend == `x' + 1
		qui replace lp_inv_n_se = _se[shock] if trend == `x' + 1
}

local msd=1.645

    qui gen lp_inv_lb = lp_inv_n_b - `msd'*lp_inv_n_se
    qui gen lp_inv_ub = lp_inv_n_b + `msd'*lp_inv_n_se
	
* save IRFs 

preserve

keep trend lp_*
keep if trend <= (21)	
rename trend hproj
replace hproj  = hproj - 1
outsheet using I_young.csv, comma noquote replace	

restore

drop trend lp_inv_n_b lp_inv_n_se lp_inv_lb lp_inv_ub inv_*




** old tot LPs **
gen trend = _n
gen lp_tot_n_b = .
gen lp_tot_n_se = . 

forvalues x = 0/16 {
		
		gen tot_`x'=F`x'.tot
		qui xtreg tot_`x' l(1/2).tot l(0/2).consu l(0/2).gdp l(0/2).ir l(0/2).shock l(0/2).cpi l(0/2).tb l(0/2).exc if country<9, fe vce(cluster country)
		qui replace lp_tot_n_b = _b[shock] if trend == `x' + 1
		qui replace lp_tot_n_se = _se[shock] if trend == `x' + 1
}

local msd=1.645

    qui gen lp_tot_lb = lp_tot_n_b - `msd'*lp_tot_n_se
    qui gen lp_tot_ub = lp_tot_n_b + `msd'*lp_tot_n_se
	
* save IRFs 

preserve

keep trend lp_*
keep if trend <= (21)	
rename trend hproj
replace hproj  = hproj - 1
outsheet using tot_old.csv, comma noquote replace	

restore

drop trend lp_tot_n_b lp_tot_n_se lp_tot_lb lp_tot_ub tot_*



** young tot LPs **
gen trend = _n
gen lp_tot_n_b = .
gen lp_tot_n_se = . 

forvalues x = 0/16 {
		
		gen tot_`x'=F`x'.tot
		qui xtreg tot_`x' l(1/2).tot l(0/2).consu l(0/2).gdp l(0/2).ir l(0/2).shock l(0/2).cpi l(0/2).tb l(0/2).exc if country>8, fe vce(cluster country)
		qui replace lp_tot_n_b = _b[shock] if trend == `x' + 1
		qui replace lp_tot_n_se = _se[shock] if trend == `x' + 1
}

local msd=1.645

    qui gen lp_tot_lb = lp_tot_n_b - `msd'*lp_tot_n_se
    qui gen lp_tot_ub = lp_tot_n_b + `msd'*lp_tot_n_se
	
* save IRFs 

preserve

keep trend lp_*
keep if trend <= (21)	
rename trend hproj
replace hproj  = hproj - 1
outsheet using tot_young.csv, comma noquote replace	

restore

drop trend lp_tot_n_b lp_tot_n_se lp_tot_lb lp_tot_ub tot_*
