clear all;
close all;
clc;


H=16;
ftsizeaxis=11;
ftsizexlabel=11;
ftsizetitle=11;
ftlinewidth = 1.0;
medianwidth=1.0;

[C_old,~,~] = xlsread('C_old.csv','C_old','B2:E18'); 
[I_old,~,~] = xlsread('I_old.csv','I_old','B2:E18'); 
[tot_old,~,~] = xlsread('tot_old.csv','tot_old','B2:E18');

[C_young,~,~] = xlsread('C_young.csv','C_young','B2:E18'); 
[I_young,~,~] = xlsread('I_young.csv','I_young','B2:E18'); 
[tot_young,~,~] = xlsread('tot_young.csv','tot_young','B2:E18');

hFig = figure('Name','Figure 2','NumberTitle','off');;
set(hFig, 'Position', [0 0 700 850*3/4])
subplot(3,2,1)
plot(0:1:H,C_young(:,1),'-k','LineWidth',medianwidth)
hline(0,'-k')
hold on
x = 0:1:H;
[~,~]=jbfill(x,C_young(:,3)',C_young(:,4)',rgb('royalblue'),rgb('royalblue'),0,0.5);
set(gca,'XTick',[0;4;8;12;16])
set(gca,'XTickLabel',['0 ';' 1';' 2';' 3';' 4'])
set(gca,'LineWidth',ftlinewidth )
set(gca,'YTick',[-1 -0.5 0 0.5])
axis([0 16 -1 0.5])
ylabel('Consumption','fontweight','bold','FontSize',ftsizexlabel)
set(gca,'FontSize',ftsizeaxis)
set(gca,'LineWidth',ftlinewidth)
title('Young Countries','fontweight','bold','FontSize',ftsizetitle)
box on

subplot(3,2,2)
plot(0:1:H,C_old(:,1),'-k','LineWidth',medianwidth)
hline(0,'-k')
hold on
x = 0:1:H;
[~,~]=jbfill(x,C_old(:,3)',C_old(:,4)',rgb('royalblue'),rgb('royalblue'),0,0.5);
set(gca,'XTick',[0;4;8;12;16])
set(gca,'XTickLabel',['0 ';' 1';' 2';' 3';' 4'])
set(gca,'LineWidth',ftlinewidth )
set(gca,'YTick',[-1 -0.5 0 0.5])
axis([0 16 -1 0.5])
set(gca,'FontSize',ftsizeaxis)
set(gca,'LineWidth',ftlinewidth)
title('Old Countries','fontweight','bold','FontSize',ftsizetitle)
box on

subplot(3,2,3)
plot(0:1:H,I_young(:,1),'-k','LineWidth',medianwidth)
hline(0,'-k')
hold on
x = 0:1:H;
[~,~]=jbfill(x,I_young(:,3)',I_young(:,4)',rgb('royalblue'),rgb('royalblue'),0,0.5);
set(gca,'XTick',[0;4;8;12;16])
set(gca,'XTickLabel',['0 ';' 1';' 2';' 3';' 4'])
set(gca,'LineWidth',ftlinewidth )
set(gca,'YTick',[-2 -1.5 -1 -0.5 0 0.5])
axis([0 16 -2 0.5])
ylabel('Investment','fontweight','bold','FontSize',ftsizexlabel)
set(gca,'FontSize',ftsizeaxis)
set(gca,'LineWidth',ftlinewidth)
box on

subplot(3,2,4)
plot(0:1:H,I_old(:,1),'-k','LineWidth',medianwidth)
hline(0,'-k')
hold on
x = 0:1:H;
[~,~]=jbfill(x,I_old(:,3)',I_old(:,4)',rgb('royalblue'),rgb('royalblue'),0,0.5);
set(gca,'XTick',[0;4;8;12;16])
set(gca,'XTickLabel',['0 ';' 1';' 2';' 3';' 4'])
set(gca,'LineWidth',ftlinewidth )
set(gca,'YTick',[-2 -1.5 -1 -0.5 0 0.5])
axis([0 16 -2 0.5])
set(gca,'FontSize',ftsizeaxis)
set(gca,'LineWidth',ftlinewidth)
box on

subplot(3,2,5)
plot(0:1:H,tot_young(:,1),'-k','LineWidth',medianwidth)
hline(0,'-k')
hold on
x = 0:1:H;
[~,~]=jbfill(x,tot_young(:,3)',tot_young(:,4)',rgb('royalblue'),rgb('royalblue'),0,0.5);
set(gca,'XTick',[0;4;8;12;16])
set(gca,'XTickLabel',['0 ';' 1';' 2';' 3';' 4'])
set(gca,'LineWidth',ftlinewidth )
set(gca,'YTick',[-0.6 -0.3 0 0.3])
axis([0 16 -0.6 0.3])
ylabel('Terms of trade','fontweight','bold','FontSize',ftsizexlabel)
set(gca,'FontSize',ftsizeaxis)
set(gca,'LineWidth',ftlinewidth)
box on

subplot(3,2,6)
plot(0:1:H,tot_old(:,1),'-k','LineWidth',medianwidth)
hline(0,'-k')
hold on
x = 0:1:H;
[~,~]=jbfill(x,tot_old(:,3)',tot_old(:,4)',rgb('royalblue'),rgb('royalblue'),0,0.5);
set(gca,'XTick',[0;4;8;12;16])
set(gca,'XTickLabel',['0 ';' 1';' 2';' 3';' 4'])
set(gca,'LineWidth',ftlinewidth )
set(gca,'YTick',[-0.6 -0.3 0 0.3])
axis([0 16 -0.6 0.3])
set(gca,'FontSize',ftsizeaxis)
set(gca,'LineWidth',ftlinewidth)
box on
set(gcf, 'PaperPositionMode', 'auto');
print -dpng  'Figure 2.png'










