clear all;
close all;
clc;

addpath C:\dynare\5.2\matlab

dynare model_youngerolder
yCC_youngerolder = yCC;
yBB_youngerolder = yBB;

dynare model_lowomega
yCC_lowomega = yCC;
yBB_lowomega = yBB;

dynare model_lowphip
yCC_lowphip = yCC;
yBB_lowphip = yBB;

dynare model_lowsigma
yCC_lowsigma = yCC;
yBB_lowsigma = yBB;

dynare model_higheta
yCC_higheta = yCC;
yBB_higheta = yBB;

dynare model_highphi
yCC_highphi = yCC;
yBB_highphi = yBB;

H=20;
ftsizeaxis=11;
ftsizexlabel=11;
ftsizetitle=11;
ftlinewidth = 1.0;
medianwidth=2.0;

hFig = figure('Name','Figure Online Appendix F','NumberTitle','off');
set(hFig, 'Position', [0 0 700 3*850/4])
subplot(3,2,1)
plot(0:1:H,100*yCC_youngerolder(2:22)','-r','LineWidth',medianwidth)
hline(0,'-k')
hold on
plot(0:1:H,100*yBB_youngerolder(2:22)','--b','LineWidth',medianwidth)
set(gca,'XTick',[0;5;10;15;20])
set(gca,'LineWidth',ftlinewidth )
set(gca,'YTick',[-0.02 -0.01 0 0.01])
axis([0 20 -0.02 0.01])
set(gca,'FontSize',ftsizeaxis)
set(gca,'LineWidth',ftlinewidth)
leg1 = legend('Old country','Young country');
legend boxoff
set(leg1,'Position',[0.36 0.75 0.01 0.01]);
title('Younger and Older Countries','fontweight','bold','FontSize',ftsizetitle)
box on

subplot(3,2,2)
plot(0:1:H,100*yCC_lowomega(2:22)','-r','LineWidth',medianwidth)
hline(0,'-k')
hold on
plot(0:1:H,100*yBB_lowomega(2:22)','--b','LineWidth',medianwidth)
set(gca,'XTick',[0;5;10;15;20])
set(gca,'LineWidth',ftlinewidth )
set(gca,'YTick',[-0.02 -0.01 0 0.01])
axis([0 20 -0.02 0.01])
set(gca,'FontSize',ftsizeaxis)
set(gca,'LineWidth',ftlinewidth)
title('Low Retirement Age of Young Country','fontweight','bold','FontSize',ftsizetitle)

subplot(3,2,3)
plot(0:1:H,100*yCC_lowphip(2:22)','-r','LineWidth',medianwidth)
hline(0,'-k')
hold on
plot(0:1:H,100*yBB_lowphip(2:22)','--b','LineWidth',medianwidth)
set(gca,'XTick',[0;5;10;15;20])
set(gca,'LineWidth',ftlinewidth )
set(gca,'YTick',[-0.02 -0.01 0 0.01])
axis([0 20 -0.02 0.01])
set(gca,'FontSize',ftsizeaxis)
set(gca,'LineWidth',ftlinewidth)
title('Low Relative Productivity for Retirees','fontweight','bold','FontSize',ftsizetitle)
box on

subplot(3,2,4)
plot(0:1:H,100*yCC_lowsigma(2:22)','-r','LineWidth',medianwidth)
hline(0,'-k')
hold on
plot(0:1:H,100*yBB_lowsigma(2:22)','--b','LineWidth',medianwidth)
set(gca,'XTick',[0;5;10;15;20])
set(gca,'LineWidth',ftlinewidth )
set(gca,'YTick',[-0.02 -0.01 0 0.01 0.02 0.03])
axis([0 20 -0.02 0.03])
set(gca,'FontSize',ftsizeaxis)
set(gca,'LineWidth',ftlinewidth)
title('Low Elasticity of Intertemporal Substitution','fontweight','bold','FontSize',ftsizetitle)
box on

subplot(3,2,5)
plot(0:1:H,100*yCC_higheta(2:22)','-r','LineWidth',medianwidth)
hline(0,'-k')
hold on
plot(0:1:H,100*yBB_higheta(2:22)','--b','LineWidth',medianwidth)
set(gca,'XTick',[0;5;10;15;20])
set(gca,'LineWidth',ftlinewidth )
set(gca,'YTick',[-0.02 -0.01 0 0.01 0.02])
axis([0 20 -0.02 0.02])
set(gca,'FontSize',ftsizeaxis)
set(gca,'LineWidth',ftlinewidth)
title('High Substituability in Consumption','fontweight','bold','FontSize',ftsizetitle)
box on

subplot(3,2,6)
plot(0:1:H,100*yCC_highphi(2:22)','-r','LineWidth',medianwidth)
hline(0,'-k')
hold on
plot(0:1:H,100*yBB_highphi(2:22)','--b','LineWidth',medianwidth)
set(gca,'XTick',[0;5;10;15;20])
set(gca,'LineWidth',ftlinewidth )
set(gca,'YTick',[-0.02 -0.01 0 0.01])
axis([0 20 -0.02 0.01])
set(gca,'FontSize',ftsizeaxis)
set(gca,'LineWidth',ftlinewidth)
title('High Weight of Imported Goods in Consumption','fontweight','bold','FontSize',ftsizetitle)
box on
set(gcf, 'PaperPositionMode', 'auto');
print -dpng  'Figure Online Appendix F.png'
