clear all;
close all;
clc;

addpath C:\dynare\5.2\matlab
dynare model_base

RA  = RA*RAss;
RB  = RB*RAss;
RC  = RC*RAss;
nxA = expA - impA;
nxB = expB - impB;
nxC = expC - impC;
totA  = paA - imppA;
totB  = pbB - imppB;
totC  = pcC - imppC;
xiA   = (xiwAss*xiwA/(1+psiA)+psiA*xirAss*xirA/(1+psiA))/((xiwAss+psiA*xirAss)/(1+psiA));
xiB   = (xiwBss*xiwB/(1+psiB)+psiB*xirBss*xirB/(1+psiB))/((xiwBss+psiB*xirBss)/(1+psiB));
xiC   = (xiwCss*xiwC/(1+psiC)+psiC*xirCss*xirC/(1+psiC))/((xiwCss+psiC*xirCss)/(1+psiC));

H=20;
ftsizeaxis=11;
ftsizexlabel=11;
ftsizetitle=11;
ftlinewidth = 1.0;
medianwidth=2.0;

hFig = figure('Name','Figure 3','NumberTitle','off');
set(hFig, 'Position', [0 0 700 5*850/4])
subplot(5,2,1)
plot(0:1:H,100*yAA(2:22)','-b','LineWidth',medianwidth)
hold on
set(gca,'XTick',[0;5;10;15;20])
set(gca,'LineWidth',ftlinewidth )
set(gca,'YTick',[-0.2 -0.1 0])
axis([0 20 -0.2 0])
ylabel('Output','fontweight','bold','FontSize',ftsizexlabel)
set(gca,'FontSize',ftsizeaxis)
set(gca,'LineWidth',ftlinewidth)
title('U.S.','fontweight','bold','FontSize',ftsizetitle)
box on

subplot(5,2,2)
plot(0:1:H,100*yCC(2:22)','-r','LineWidth',medianwidth)
hold on
plot(0:1:H,100*yBB(2:22)','--b','LineWidth',medianwidth)
set(gca,'XTick',[0;5;10;15;20])
set(gca,'LineWidth',ftlinewidth )
set(gca,'YTick',[-0.02 -0.01 0])
axis([0 20 -0.02 0])
set(gca,'FontSize',ftsizeaxis)
set(gca,'LineWidth',ftlinewidth)
leg1 = legend('Old country','Young country');
legend boxoff
set(leg1,'Position',[0.8 0.82 0.01 0.01]);
title('Young and Old Countries','fontweight','bold','FontSize',ftsizetitle)
box on

subplot(5,2,3)
plot(0:1:H,100*cA(2:22)','-b','LineWidth',medianwidth)
hline(0,'-k')
hold on
set(gca,'XTick',[0;5;10;15;20])
set(gca,'LineWidth',ftlinewidth )
set(gca,'YTick',[-0.1 0 0.1])
axis([0 20 -0.1 0.1])
ylabel('Consumption','fontweight','bold','FontSize',ftsizexlabel)
set(gca,'FontSize',ftsizeaxis)
set(gca,'LineWidth',ftlinewidth)
box on

subplot(5,2,4)
plot(0:1:H,100*cC(2:22)','-r','LineWidth',medianwidth)
hline(0,'-k')
hold on
plot(0:1:H,100*cB(2:22)','--b','LineWidth',medianwidth)
set(gca,'XTick',[0;5;10;15;20])
set(gca,'LineWidth',ftlinewidth )
set(gca,'YTick',[-0.02 -0.01 0 0.01])
axis([0 20 -0.02 0.01])
set(gca,'FontSize',ftsizeaxis)
set(gca,'LineWidth',ftlinewidth)
box on

subplot(5,2,5)
plot(0:1:H,100*invA(2:22)','-b','LineWidth',medianwidth)
hline(0,'-k')
hold on
set(gca,'XTick',[0;5;10;15;20])
set(gca,'LineWidth',ftlinewidth )
set(gca,'YTick',[-0.3 -0.2 -0.1 0 0.1])
axis([0 20 -0.3 0.1])
ylabel('Investment','fontweight','bold','FontSize',ftsizexlabel)
set(gca,'FontSize',ftsizeaxis)
set(gca,'LineWidth',ftlinewidth)
box on

subplot(5,2,6)
plot(0:1:H,100*invC(2:22)','-r','LineWidth',medianwidth)
hline(0,'-k')
hold on
plot(0:1:H,100*invB(2:22)','--b','LineWidth',medianwidth)
set(gca,'XTick',[0;5;10;15;20])
set(gca,'LineWidth',ftlinewidth )
set(gca,'YTick',[-0.1 -0.05 0 0.01])
axis([0 20 -0.1 0.01])
set(gca,'FontSize',ftsizeaxis)
set(gca,'LineWidth',ftlinewidth)
box on

subplot(5,2,7)
plot(0:1:H,100*nxA(2:22)','-b','LineWidth',medianwidth)
hline(0,'-k')
hold on
set(gca,'XTick',[0;5;10;15;20])
set(gca,'LineWidth',ftlinewidth )
set(gca,'YTick',[-0.04 0 0.04])
axis([0 20 -0.04 0.04])
ylabel('Net Exports','fontweight','bold','FontSize',ftsizexlabel)
set(gca,'FontSize',ftsizeaxis)
set(gca,'LineWidth',ftlinewidth)
box on

subplot(5,2,8)
plot(0:1:H,100*nxC(2:22)','-r','LineWidth',medianwidth)
hline(0,'-k')
hold on
plot(0:1:H,100*nxB(2:22)','--b','LineWidth',medianwidth)
set(gca,'XTick',[0;5;10;15;20])
set(gca,'LineWidth',ftlinewidth )
set(gca,'YTick',[-0.01 0 0.01 0.02])
axis([0 20 -0.01 0.02])
set(gca,'FontSize',ftsizeaxis)
set(gca,'LineWidth',ftlinewidth)
box on

subplot(5,2,9)
plot(0:1:H,100*fA(2:22)','-b','LineWidth',medianwidth)
hold on
set(gca,'XTick',[0;5;10;15;20])
set(gca,'LineWidth',ftlinewidth )
set(gca,'YTick',[-0.02 -0.01 0])
axis([0 20 -0.02 0])
ylabel('Net Foreign Assets','fontweight','bold','FontSize',ftsizexlabel)
set(gca,'FontSize',ftsizeaxis)
set(gca,'LineWidth',ftlinewidth)
box on

subplot(5,2,10)
plot(0:1:H,100*fC(2:22)','-r','LineWidth',medianwidth)
hline(0,'-k')
hold on
plot(0:1:H,100*fB(2:22)','--b','LineWidth',medianwidth)
set(gca,'XTick',[0;5;10;15;20])
set(gca,'LineWidth',ftlinewidth )
set(gca,'YTick',[-0.05 0 0.05])
axis([0 20 -0.05 0.05])
set(gca,'FontSize',ftsizeaxis)
set(gca,'LineWidth',ftlinewidth)
box on
set(gcf, 'PaperPositionMode', 'auto');
print -dpng  'Figure 3.png'


hFig = figure('Name','Figure 4','NumberTitle','off');
set(hFig, 'Position', [0 0 700 5*850/4])
subplot(5,2,1)
plot(0:1:H,100*RA(2:22)','-b','LineWidth',medianwidth)
hline(0,'-k')
hold on
set(gca,'XTick',[0;5;10;15;20])
set(gca,'LineWidth',ftlinewidth )
set(gca,'YTick',[-0.2 0 0.2 0.4])
axis([0 20 -0.2 0.4])
ylabel('Real Interest Rate','fontweight','bold','FontSize',ftsizexlabel)
set(gca,'FontSize',ftsizeaxis)
set(gca,'LineWidth',ftlinewidth)
title('U.S.','fontweight','bold','FontSize',ftsizetitle)
box on

subplot(5,2,2)
plot(0:1:H,100*RC(2:22)','-r','LineWidth',medianwidth)
hline(0,'-k')
hold on
plot(0:1:H,100*RB(2:22)','--b','LineWidth',medianwidth)
set(gca,'XTick',[0;5;10;15;20])
set(gca,'LineWidth',ftlinewidth )
set(gca,'YTick',[-0.1 0 0.1 0.2])
axis([0 20 -0.1 0.2])
set(gca,'FontSize',ftsizeaxis)
set(gca,'LineWidth',ftlinewidth)
leg1 = legend('Old country','Young country');
legend boxoff
set(leg1,'Position',[0.8 0.89 0.01 0.03]);
title('Young and Old Countries','fontweight','bold','FontSize',ftsizetitle)
box on

subplot(5,2,3)
plot(0:1:H,100*lA(2:22)','-b','LineWidth',medianwidth)
hline(0,'-k')
hold on
set(gca,'XTick',[0;5;10;15;20])
set(gca,'LineWidth',ftlinewidth )
set(gca,'YTick',[-0.3 0 0.3])
axis([0 20 -0.3 0.3])
ylabel('Labor','fontweight','bold','FontSize',ftsizexlabel)
set(gca,'FontSize',ftsizeaxis)
set(gca,'LineWidth',ftlinewidth)
box on

subplot(5,2,4)
plot(0:1:H,100*lC(2:22)','-r','LineWidth',medianwidth)
hline(0,'-k')
hold on
plot(0:1:H,100*lB(2:22)','--b','LineWidth',medianwidth)
set(gca,'XTick',[0;5;10;15;20])
set(gca,'LineWidth',ftlinewidth )
set(gca,'YTick',[-0.02 -0.01 0 0.01])
axis([0 20 -0.02 0.01])
set(gca,'FontSize',ftsizeaxis)
set(gca,'LineWidth',ftlinewidth)
box on

subplot(5,2,5)
plot(0:1:H,100*xiA(2:22)','-b','LineWidth',medianwidth)
hline(0,'-k')
hold on
set(gca,'XTick',[0;5;10;15;20])
set(gca,'LineWidth',ftlinewidth )
set(gca,'YTick',[-0.1 0 0.1])
axis([0 20 -0.1 0.1])
ylabel('MPC','fontweight','bold','FontSize',ftsizexlabel)
set(gca,'FontSize',ftsizeaxis)
set(gca,'LineWidth',ftlinewidth)
box on

subplot(5,2,6)
plot(0:1:H,100*xiC(2:22)','-r','LineWidth',medianwidth)
hline(0,'-k')
hold on
plot(0:1:H,100*xiB(2:22)','--b','LineWidth',medianwidth)
set(gca,'XTick',[0;5;10;15;20])
set(gca,'LineWidth',ftlinewidth )
set(gca,'YTick',[-0.03 0 0.03 0.06 0.09])
axis([0 20 -0.03 0.09])
set(gca,'FontSize',ftsizeaxis)
set(gca,'LineWidth',ftlinewidth)
box on

subplot(5,2,7)
plot(0:1:H,100*paA(2:22)','-b','LineWidth',medianwidth)
hold on
set(gca,'XTick',[0;5;10;15;20])
set(gca,'LineWidth',ftlinewidth )
set(gca,'YTick',[0 0.05 0.1])
axis([0 20 0 0.1])
ylabel('Price of Final Goods','fontweight','bold','FontSize',ftsizexlabel)
set(gca,'FontSize',ftsizeaxis)
set(gca,'LineWidth',ftlinewidth)
box on

subplot(5,2,8)
plot(0:1:H,100*pcC(2:22)','-r','LineWidth',medianwidth)
hold on
plot(0:1:H,100*pbB(2:22)','--b','LineWidth',medianwidth)
set(gca,'XTick',[0;5;10;15;20])
set(gca,'LineWidth',ftlinewidth )
set(gca,'YTick',[-0.04 -0.02 0])
axis([0 20 -0.04 0])
set(gca,'FontSize',ftsizeaxis)
set(gca,'LineWidth',ftlinewidth)
box on

subplot(5,2,9)
plot(0:1:H,100*totA(2:22)','-b','LineWidth',medianwidth)
hold on
set(gca,'XTick',[0;5;10;15;20])
set(gca,'LineWidth',ftlinewidth )
set(gca,'YTick',[0 0.1 0.2 0.3])
axis([0 20 0 0.3])
ylabel('Terms of Trade','fontweight','bold','FontSize',ftsizexlabel)
set(gca,'FontSize',ftsizeaxis)
set(gca,'LineWidth',ftlinewidth)
box on

subplot(5,2,10)
plot(0:1:H,100*totC(2:22)','-r','LineWidth',medianwidth)
hline(0,'-k')
hold on
plot(0:1:H,100*totB(2:22)','--b','LineWidth',medianwidth)
set(gca,'XTick',[0;5;10;15;20])
set(gca,'LineWidth',ftlinewidth )
set(gca,'YTick',[-0.14 -0.07 0 0.01])
axis([0 20 -0.14 0.01])
set(gca,'FontSize',ftsizeaxis)
set(gca,'LineWidth',ftlinewidth)
box on
set(gcf, 'PaperPositionMode', 'auto');
print -dpng  'Figure 4.png'


hFig = figure('Name','Figure 5','NumberTitle','off');
set(hFig, 'Position', [0 0 700 4*850/4])
subplot(4,2,1)
plot(0:1:H,100*wA(2:22)','-b','LineWidth',medianwidth)
hold on
set(gca,'XTick',[0;5;10;15;20])
set(gca,'LineWidth',ftlinewidth )
set(gca,'YTick',[-0.3 -0.2 -0.1 0])
axis([0 20 -0.3 0])
ylabel('Real Wage','fontweight','bold','FontSize',ftsizexlabel)
set(gca,'FontSize',ftsizeaxis)
set(gca,'LineWidth',ftlinewidth)
title('U.S.','fontweight','bold','FontSize',ftsizetitle)
box on

subplot(4,2,2)
plot(0:1:H,100*wC(2:22)','-r','LineWidth',medianwidth)
hold on
plot(0:1:H,100*wB(2:22)','--b','LineWidth',medianwidth)
set(gca,'XTick',[0;5;10;15;20])
set(gca,'LineWidth',ftlinewidth )
set(gca,'YTick',[-0.04 -0.02 0])
axis([0 20 -0.04 0])
set(gca,'FontSize',ftsizeaxis)
set(gca,'LineWidth',ftlinewidth)
leg1 = legend('Old country','Young country');
legend boxoff
set(leg1,'Position',[0.8 0.8 0.01 0.01]);
title('Young and Old Countries','fontweight','bold','FontSize',ftsizetitle)
box on

subplot(4,2,3)
plot(0:1:H,100*wiA(2:22)','-b','LineWidth',medianwidth)
hold on
set(gca,'XTick',[0;5;10;15;20])
set(gca,'LineWidth',ftlinewidth )
set(gca,'YTick',[-0.2 -0.1 0])
axis([0 20 -0.2 0])
ylabel('Worker Income','fontweight','bold','FontSize',ftsizexlabel)
set(gca,'FontSize',ftsizeaxis)
set(gca,'LineWidth',ftlinewidth)
box on

subplot(4,2,4)
plot(0:1:H,100*wiC(2:22)','-r','LineWidth',medianwidth)
hold on
plot(0:1:H,100*wiB(2:22)','--b','LineWidth',medianwidth)
set(gca,'XTick',[0;5;10;15;20])
set(gca,'LineWidth',ftlinewidth )
set(gca,'YTick',[-0.2 -0.1 0])
axis([0 20 -0.2 0])
set(gca,'FontSize',ftsizeaxis)
set(gca,'LineWidth',ftlinewidth)
box on
set(gcf, 'PaperPositionMode', 'auto');

subplot(4,2,5)
plot(0:1:H,100*riA(2:22)','-b','LineWidth',medianwidth)
hold on
set(gca,'XTick',[0;5;10;15;20])
set(gca,'LineWidth',ftlinewidth )
set(gca,'YTick',[0 0.1 0.2 0.3])
axis([0 20 0 0.3])
ylabel('Retiree Income','fontweight','bold','FontSize',ftsizexlabel)
set(gca,'FontSize',ftsizeaxis)
set(gca,'LineWidth',ftlinewidth)
box on

subplot(4,2,6)
plot(0:1:H,100*riC(2:22)','-r','LineWidth',medianwidth)
hold on
plot(0:1:H,100*riB(2:22)','--b','LineWidth',medianwidth)
set(gca,'XTick',[0;5;10;15;20])
set(gca,'LineWidth',ftlinewidth )
set(gca,'YTick',[0 0.1 0.2])
axis([0 20 0 0.2])
set(gca,'FontSize',ftsizeaxis)
set(gca,'LineWidth',ftlinewidth)
box on

subplot(4,2,7)
plot(0:1:H,100*aggiA(2:22)','-b','LineWidth',medianwidth)
hold on
set(gca,'XTick',[0;5;10;15;20])
set(gca,'LineWidth',ftlinewidth )
set(gca,'YTick',[-0.2 -0.1 0])
axis([0 20 -0.2 0])
ylabel('Aggregate Income','fontweight','bold','FontSize',ftsizexlabel)
set(gca,'FontSize',ftsizeaxis)
set(gca,'LineWidth',ftlinewidth)
box on

subplot(4,2,8)
plot(0:1:H,100*aggiC(2:22)','-r','LineWidth',medianwidth)
hline(0,'-k')
hold on
plot(0:1:H,100*aggiB(2:22)','--b','LineWidth',medianwidth)
set(gca,'XTick',[0;5;10;15;20])
set(gca,'LineWidth',ftlinewidth )
set(gca,'YTick',[-0.1 -0.05 0 0.01])
axis([0 20 -0.1 0.01])
set(gca,'FontSize',ftsizeaxis)
set(gca,'LineWidth',ftlinewidth)
box on
set(gcf, 'PaperPositionMode', 'auto');
print -dpng  'Figure 5.png'


